## dials 0.0.1

=== DESCRIPTION ===
Package: dials
Version: 0.0.1
Title: Tools for Creating Tuning Parameter Values
Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
Authors@R: c(
    person("Max", "Kuhn", , "max@rstudio.com", c("aut", "cre")),
    person("RStudio", role = "cph"))
License: GPL-2
URL: https://tidymodels.github.io/dials
BugReports: https://github.com/tidymodels/dials/issues
Encoding: UTF-8
LazyData: true
ByteCompile: true
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Depends: scales
Imports: glue, purrr, rlang, tibble, dplyr, utils
Suggests: testthat, knitr, rpart, covr
NeedsCompilation: no
Packaged: 2018-08-10 16:42:53 UTC; max
Author: Max Kuhn [aut, cre],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2018-08-13 14:00:10 UTC

## dials 0.0.2

=== DESCRIPTION ===
Package: dials
Version: 0.0.2
Title: Tools for Creating Tuning Parameter Values
Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
Authors@R: c(
    person("Max", "Kuhn", , "max@rstudio.com", c("aut", "cre")),
    person("RStudio", role = "cph"))
License: GPL-2
URL: https://tidymodels.github.io/dials
BugReports: https://github.com/tidymodels/dials/issues
Encoding: UTF-8
LazyData: true
ByteCompile: true
RoxygenNote: 6.1.1
VignetteBuilder: knitr
Depends: scales
Imports: glue, purrr, rlang, tibble, dplyr, utils, withr
Suggests: testthat, knitr, rpart, covr, kernlab
NeedsCompilation: no
Packaged: 2018-12-08 23:45:09 UTC; max
Author: Max Kuhn [aut, cre],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2018-12-09 14:50:22 UTC

## dials 0.0.3

=== DESCRIPTION ===
Package: dials
Version: 0.0.3
Title: Tools for Creating Tuning Parameter Values
Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
Authors@R: c(
    person(given = "Max", family = "Kuhn", email = "max@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = "cph"))
License: GPL-2
URL: https://tidymodels.github.io/dials
BugReports: https://github.com/tidymodels/dials/issues
Encoding: UTF-8
LazyData: true
ByteCompile: true
RoxygenNote: 6.1.1
VignetteBuilder: knitr
Depends: scales, R (>= 2.10)
Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr
Suggests: testthat, knitr, rpart, covr, kernlab, xml2
NeedsCompilation: no
Packaged: 2019-10-01 00:25:51 UTC; max
Author: Max Kuhn [aut, cre],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2019-10-01 05:00:02 UTC

## dials 0.0.4

=== DESCRIPTION ===
Package: dials
Version: 0.0.4
Title: Tools for Creating Tuning Parameter Values
Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
Authors@R: c(
    person(given = "Max", family = "Kuhn", email = "max@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = "cph"))
License: GPL-2
URL: https://tidymodels.github.io/dials,
        https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Encoding: UTF-8
LazyData: true
ByteCompile: true
RoxygenNote: 7.0.1.9000
VignetteBuilder: knitr
Depends: scales, R (>= 2.10)
Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr
Suggests: testthat, knitr, rpart, covr, kernlab, xml2
NeedsCompilation: no
Packaged: 2019-12-01 22:10:38 UTC; max
Author: Max Kuhn [aut, cre],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2019-12-02 06:50:02 UTC

## dials 0.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dials
-Version: 0.0.4
+Version: 0.0.5
 Title: Tools for Creating Tuning Parameter Values
 Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
 Authors@R: c(
@@ -12,15 +12,16 @@
 Encoding: UTF-8
 LazyData: true
 ByteCompile: true
-RoxygenNote: 7.0.1.9000
+RoxygenNote: 7.1.0.9000
 VignetteBuilder: knitr
 Depends: scales, R (>= 2.10)
-Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr
+Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr,
+        lifecycle
 Suggests: testthat, knitr, rpart, covr, kernlab, xml2
 NeedsCompilation: no
-Packaged: 2019-12-01 22:10:38 UTC; max
+Packaged: 2020-04-01 13:19:16 UTC; max
 Author: Max Kuhn [aut, cre],
   RStudio [cph]
 Maintainer: Max Kuhn <max@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-12-02 06:50:02 UTC
+Date/Publication: 2020-04-01 13:50:08 UTC

## dials 0.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dials
-Version: 0.0.5
+Version: 0.0.6
 Title: Tools for Creating Tuning Parameter Values
 Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
 Authors@R: c(
@@ -19,9 +19,9 @@
         lifecycle
 Suggests: testthat, knitr, rpart, covr, kernlab, xml2
 NeedsCompilation: no
-Packaged: 2020-04-01 13:19:16 UTC; max
+Packaged: 2020-04-02 22:25:16 UTC; max
 Author: Max Kuhn [aut, cre],
   RStudio [cph]
 Maintainer: Max Kuhn <max@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-04-01 13:50:08 UTC
+Date/Publication: 2020-04-03 15:40:05 UTC

## dials 0.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dials
-Version: 0.0.6
+Version: 0.0.7
 Title: Tools for Creating Tuning Parameter Values
 Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
 Authors@R: c(
@@ -15,13 +15,13 @@
 RoxygenNote: 7.1.0.9000
 VignetteBuilder: knitr
 Depends: scales, R (>= 2.10)
-Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr,
-        lifecycle
+Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr
+        (>= 0.8.5), vctrs (>= 0.3.0.9000)
 Suggests: testthat, knitr, rpart, covr, kernlab, xml2
 NeedsCompilation: no
-Packaged: 2020-04-02 22:25:16 UTC; max
+Packaged: 2020-06-10 16:14:40 UTC; max
 Author: Max Kuhn [aut, cre],
   RStudio [cph]
 Maintainer: Max Kuhn <max@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-04-03 15:40:05 UTC
+Date/Publication: 2020-06-10 17:00:02 UTC

## dials 0.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: dials
-Version: 0.0.7
+Version: 0.0.8
 Title: Tools for Creating Tuning Parameter Values
 Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
 Authors@R: c(
@@ -17,11 +17,11 @@
 Depends: scales, R (>= 2.10)
 Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr
         (>= 0.8.5), vctrs (>= 0.3.0.9000)
-Suggests: testthat, knitr, rpart, covr, kernlab, xml2
+Suggests: testthat, knitr, rpart, covr, kernlab, xml2, rmarkdown
 NeedsCompilation: no
-Packaged: 2020-06-10 16:14:40 UTC; max
+Packaged: 2020-07-08 16:48:37 UTC; max
 Author: Max Kuhn [aut, cre],
   RStudio [cph]
 Maintainer: Max Kuhn <max@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-06-10 17:00:02 UTC
+Date/Publication: 2020-07-08 17:20:02 UTC

## dials 0.0.9

=== DESCRIPTION ===
Package: dials
Version: 0.0.9
Title: Tools for Creating Tuning Parameter Values
Description: Many models contain tuning parameters (i.e. parameters that cannot be directly estimated from the data). These tools can be used to define objects for creating, simulating, or validating values for such parameters. 
Authors@R: c(
    person(given = "Max", family = "Kuhn", email = "max@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = "cph"))
License: GPL-2
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Encoding: UTF-8
LazyData: true
ByteCompile: true
RoxygenNote: 7.1.1
VignetteBuilder: knitr
Depends: scales, R (>= 2.10)
Imports: glue, purrr, tibble, rlang, utils, withr, DiceDesign, dplyr
        (>= 0.8.5), vctrs (>= 0.3.0.9000)
Suggests: testthat, knitr, rpart, covr, kernlab, xml2, rmarkdown
NeedsCompilation: no
Packaged: 2020-09-16 01:13:17 UTC; max
Author: Max Kuhn [aut, cre],
  RStudio [cph]
Maintainer: Max Kuhn <max@rstudio.com>
Repository: CRAN
Date/Publication: 2020-09-16 05:40:02 UTC

## dials 0.0.10

=== DESCRIPTION ===
Package: dials
Title: Tools for Creating Tuning Parameter Values
Version: 0.0.10
Authors@R: 
    c(person(given = "Max",
             family = "Kuhn",
             role = "aut",
             email = "max@rstudio.com"),
      person(given = "Hannah",
             family = "Frick",
             role = c("aut", "cre"),
             email = "hannah@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Many models contain tuning parameters (i.e. parameters that
    cannot be directly estimated from the data). These tools can be used
    to define objects for creating, simulating, or validating values for
    such parameters.
License: MIT + file LICENSE
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Depends: R (>= 2.10), scales
Imports: DiceDesign, dplyr (>= 0.8.5), glue, purrr, rlang, tibble,
        utils, vctrs (>= 0.3.1), withr
Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat, xml2
VignetteBuilder: knitr
ByteCompile: true
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-09-10 08:46:08 UTC; me
Author: Max Kuhn [aut],
  Hannah Frick [aut, cre],
  RStudio [cph]
Maintainer: Hannah Frick <hannah@rstudio.com>
Repository: CRAN
Date/Publication: 2021-09-10 11:50:02 UTC

## dials 0.1.0

=== DESCRIPTION ===
Package: dials
Title: Tools for Creating Tuning Parameter Values
Version: 0.1.0
Authors@R: c(
    person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
    person("Hannah", "Frick", , "hannah@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Many models contain tuning parameters (i.e. parameters that
    cannot be directly estimated from the data). These tools can be used
    to define objects for creating, simulating, or validating values for
    such parameters.
License: MIT + file LICENSE
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Depends: R (>= 2.10), scales
Imports: DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 0.1.6.9000),
        lifecycle, purrr, rlang, tibble, utils, vctrs (>= 0.3.1), withr
Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat (>= 3.0.0),
        xml2
VignetteBuilder: knitr
ByteCompile: true
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-01-31 18:28:41 UTC; hannah
Author: Max Kuhn [aut],
  Hannah Frick [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hannah Frick <hannah@rstudio.com>
Repository: CRAN
Date/Publication: 2022-01-31 19:00:02 UTC

## dials 0.1.1

=== DESCRIPTION ===
Package: dials
Title: Tools for Creating Tuning Parameter Values
Version: 0.1.1
Authors@R: c(
    person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
    person("Hannah", "Frick", , "hannah@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Many models contain tuning parameters (i.e. parameters that
    cannot be directly estimated from the data). These tools can be used
    to define objects for creating, simulating, or validating values for
    such parameters.
License: MIT + file LICENSE
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Depends: R (>= 3.4), scales
Imports: DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 0.2.0),
        lifecycle, purrr, rlang (>= 1.0.1), tibble, utils, vctrs (>=
        0.3.8), withr
Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat (>= 3.0.0),
        xml2
VignetteBuilder: knitr
ByteCompile: true
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.1.2.9000
NeedsCompilation: no
Packaged: 2022-04-06 14:04:36 UTC; hannah
Author: Max Kuhn [aut],
  Hannah Frick [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hannah Frick <hannah@rstudio.com>
Repository: CRAN
Date/Publication: 2022-04-06 14:52:33 UTC

## dials 1.0.0

=== DESCRIPTION ===
Package: dials
Title: Tools for Creating Tuning Parameter Values
Version: 1.0.0
Authors@R: c(
    person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
    person("Hannah", "Frick", , "hannah@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Many models contain tuning parameters (i.e. parameters that
    cannot be directly estimated from the data). These tools can be used
    to define objects for creating, simulating, or validating values for
    such parameters.
License: MIT + file LICENSE
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Depends: R (>= 3.4), scales
Imports: DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 1.1.0),
        lifecycle, pillar, purrr, rlang (>= 1.0.1), tibble, utils,
        vctrs (>= 0.3.8), withr
Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat (>= 3.0.0),
        xml2
VignetteBuilder: knitr
ByteCompile: true
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2022-06-14 09:26:14 UTC; hannah
Author: Max Kuhn [aut],
  Hannah Frick [aut, cre],
  RStudio [cph, fnd]
Maintainer: Hannah Frick <hannah@rstudio.com>
Repository: CRAN
Date/Publication: 2022-06-14 11:30:05 UTC

## dials 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dials
 Title: Tools for Creating Tuning Parameter Values
-Version: 1.0.0
+Version: 1.1.0
 Authors@R: c(
     person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
     person("Hannah", "Frick", , "hannah@rstudio.com", role = c("aut", "cre")),
@@ -14,7 +14,7 @@
 URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
 BugReports: https://github.com/tidymodels/dials/issues
 Depends: R (>= 3.4), scales
-Imports: DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 1.1.0),
+Imports: cli, DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 1.1.0),
         lifecycle, pillar, purrr, rlang (>= 1.0.1), tibble, utils,
         vctrs (>= 0.3.8), withr
 Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat (>= 3.0.0),
@@ -24,12 +24,12 @@
 Config/testthat/edition: 3
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.1.9000
 NeedsCompilation: no
-Packaged: 2022-06-14 09:26:14 UTC; hannah
+Packaged: 2022-11-04 17:52:28 UTC; hannah
 Author: Max Kuhn [aut],
   Hannah Frick [aut, cre],
   RStudio [cph, fnd]
 Maintainer: Hannah Frick <hannah@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-06-14 11:30:05 UTC
+Date/Publication: 2022-11-04 18:40:02 UTC

## dials 1.3.0

=== DESCRIPTION ===
Package: dials
Title: Tools for Creating Tuning Parameter Values
Version: 1.3.0
Authors@R: c(
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Many models contain tuning parameters (i.e. parameters that
    cannot be directly estimated from the data). These tools can be used
    to define objects for creating, simulating, or validating values for
    such parameters.
License: MIT + file LICENSE
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Depends: R (>= 3.4), scales (>= 1.3.0)
Imports: cli, DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 1.1.0),
        lifecycle, pillar, purrr, rlang (>= 1.1.0), sfd, tibble, utils,
        vctrs (>= 0.3.8), withr
Suggests: covr, ggplot2, kernlab, knitr, rmarkdown, rpart, testthat (>=
        3.1.9), xml2
VignetteBuilder: knitr
ByteCompile: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-07-30 08:07:20 UTC; hannah
Author: Max Kuhn [aut],
  Hannah Frick [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Hannah Frick <hannah@posit.co>
Repository: CRAN
Date/Publication: 2024-07-30 08:40:02 UTC

## dials 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: dials
 Title: Tools for Creating Tuning Parameter Values
-Version: 1.3.0
+Version: 1.4.0
 Authors@R: c(
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
     person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre")),
-    person("Posit Software, PBC", role = c("cph", "fnd"))
+    person("Posit Software, PBC", role = c("cph", "fnd"), comment = c(ROR = "03wc8by49"))
   )
 Description: Many models contain tuning parameters (i.e. parameters that
     cannot be directly estimated from the data). These tools can be used
@@ -26,10 +26,10 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-07-30 08:07:20 UTC; hannah
+Packaged: 2025-02-13 10:22:27 UTC; hannah
 Author: Max Kuhn [aut],
   Hannah Frick [aut, cre],
-  Posit Software, PBC [cph, fnd]
+  Posit Software, PBC [cph, fnd] (03wc8by49)
 Maintainer: Hannah Frick <hannah@posit.co>
 Repository: CRAN
-Date/Publication: 2024-07-30 08:40:02 UTC
+Date/Publication: 2025-02-13 11:30:15 UTC

## dials 1.4.1

=== DESCRIPTION ===
Package: dials
Title: Tools for Creating Tuning Parameter Values
Version: 1.4.1
Authors@R: c(
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Many models contain tuning parameters (i.e. parameters that
    cannot be directly estimated from the data). These tools can be used
    to define objects for creating, simulating, or validating values for
    such parameters.
License: MIT + file LICENSE
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Depends: R (>= 4.1), scales (>= 1.3.0)
Imports: cli, DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 1.1.0),
        lifecycle, pillar, purrr, rlang (>= 1.1.0), sfd, tibble, utils,
        vctrs (>= 0.3.8), withr
Suggests: covr, ggplot2, kernlab, knitr, rmarkdown, rpart, testthat (>=
        3.1.9), xml2
VignetteBuilder: knitr
ByteCompile: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-04-23
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-07-29 19:00:37 UTC; hannah
Author: Max Kuhn [aut],
  Hannah Frick [aut, cre],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Hannah Frick <hannah@posit.co>
Repository: CRAN
Date/Publication: 2025-07-29 19:40:02 UTC

## dials 1.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dials
 Title: Tools for Creating Tuning Parameter Values
-Version: 1.4.1
+Version: 1.4.2
 Authors@R: c(
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
     person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre")),
@@ -28,10 +28,10 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-07-29 19:00:37 UTC; hannah
+Packaged: 2025-09-03 18:17:06 UTC; hannah
 Author: Max Kuhn [aut],
   Hannah Frick [aut, cre],
   Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
 Maintainer: Hannah Frick <hannah@posit.co>
 Repository: CRAN
-Date/Publication: 2025-07-29 19:40:02 UTC
+Date/Publication: 2025-09-04 07:40:14 UTC

## dials 3.12.1+dfsg3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20 FATAL_ERROR)

project(dials)

# Add the included modules
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# General cmake environment configuration
include(SetDefaultBuildRelWithDebInfo) # Default builds to release with debug info
include(CoverageBuildConfiguration) # Custom module to make turning coverage on easy
include(AlwaysColourCompilation) # Always show coloured compiler output

set(CMAKE_EXPORT_COMPILE_COMMANDS ON) # Generate compile_commands.json
set(CMAKE_CXX_STANDARD 14)

find_package(Python REQUIRED COMPONENTS Interpreter Development)
find_package(CCTBX COMPONENTS cctbx scitbx ccp4io annlib REQUIRED)
find_package(DXTBX REQUIRED)
find_package(msgpack REQUIRED)
find_package(OpenMP)

# Find the boost::python library for this version of python
set(Boost_USE_STATIC_LIBS OFF) # This is the default everywhere except Windows
find_package(Boost COMPONENTS thread "python${Python_VERSION_MAJOR}${Python_VERSION_MINOR}" REQUIRED)

# Create Boost::python alias so we don't need to carry the python version around
if(NOT TARGET Boost::python)
    add_library(Boost::python INTERFACE IMPORTED)
    set_target_properties(Boost::python PROPERTIES
        INTERFACE_LINK_LIBRARIES  "python${Python_VERSION_MAJOR}${Python_VERSION_MINOR}" )
endif()

# Put the libraries into lib/ so that we can run this in-place in a TBX install
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY  "${CMAKE_BINARY_DIR}/lib")

# We depend on including header sources from above this current directory.
# This currently means this _must_ be in a "dials" folder. This is unstable,
# but will be dealt with when we move to src/ layout.
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

link_libraries(DXTBX::DXTBX)
# Make boost a bit quieter - all these warnings come from inside boost.python
add_compile_definitions(BOOST_BIND_GLOBAL_PLACEHOLDERS BOOST_ALLOW_DEPRECATED_HEADERS)

add_subdirectory(src/dials)
add_subdirectory(tests)

# Install all of the DIALS extension modules
install(
    TARGETS
        dials_algorithms_background_ext
        dials_algorithms_background_glm_ext
        dials_algorithms_background_gmodel_ext
        dials_algorithms_background_modeller_ext
        dials_algorithms_background_simple_ext
        dials_algorithms_centroid_simple_ext
        dials_algorithms_filter_ext
        dials_algorithms_image_centroid_ext
        dials_algorithms_image_connected_components_ext
        dials_algorithms_image_fill_holes_ext
        dials_algorithms_image_filter_ext
        dials_algorithms_image_threshold_ext
        dials_algorithms_indexing_ext
        dials_algorithms_integration_bayes_ext
        dials_algorithms_integration_ext
        dials_algorithms_integration_fit_ext
        dials_algorithms_integration_integrator_ext
        dials_algorithms_integration_kapton_ext
        dials_algorithms_integration_parallel_integrator_ext
        dials_algorithms_integration_sum_ext
        dials_algorithms_polygon_clip_ext
        dials_algorithms_polygon_ext
        dials_algorithms_polygon_spatial_interpolation_ext
        dials_algorithms_profile_model_ellipsoid_ext
        dials_algorithms_profile_model_gaussian_rs_ext
        dials_algorithms_profile_model_gaussian_rs_transform_ext
        dials_algorithms_profile_model_modeller_ext
        dials_algorithms_shoebox_ext
        dials_algorithms_simulation_ext
        dials_algorithms_spot_finding_ext
        dials_algorithms_spot_prediction_ext
        dials_algorithms_statistics_ext
        dials_array_family_flex_ext
        dials_model_data_ext
        dials_pychef_ext
        dials_refinement_helpers_ext
        dials_scaling_ext
        dials_util_ext
        dials_util_streambuf_test_ext
        dials_viewer_ext
        recviewer_ext
    DESTINATION "${Python_SITEARCH}"
)

=== src/dials/array_family/CMakeLists.txt ===
Python_add_library(
    dials_array_family_flex_ext
    MODULE
    boost_python/flex_int6.cc
    boost_python/flex_shoebox.cc
    boost_python/flex_centroid.cc
    boost_python/flex_intensity.cc
    boost_python/flex_observation.cc
    boost_python/flex_reflection_table.cc
    boost_python/flex_unit_cell.cc
    boost_python/flex_shoebox_extractor.cc
    boost_python/flex_binner.cc
    boost_python/flex_ext.cc
)
target_link_libraries(
    dials_array_family_flex_ext
    PUBLIC
    CCTBX::cctbx
    Boost::python
    CCTBX::scitbx::boost_python
    msgpackc
)

=== src/dials/algorithms/scaling/CMakeLists.txt ===
Python_add_library(
    dials_scaling_ext
    MODULE
    boost_python/scaling_helper.cc
    boost_python/scaling_ext.cc
)
target_link_libraries( dials_scaling_ext PUBLIC CCTBX::cctbx Boost::python )

=== debian/changelog ===
dials (3.12.1+dfsg3-5) unstable; urgency=medium

  * Restrict building to amd64 for python3-dials too.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Feb 2023 17:40:23 +0100

dials (3.12.1+dfsg3-4) unstable; urgency=medium

  * Fix autopkgtest script.

 -- Roland Mas <lolando@debian.org>  Tue, 24 Jan 2023 12:18:11 +0100

dials (3.12.1+dfsg3-3) unstable; urgency=medium

  * Restrict building to amd64 until fixes for the arm64 and ppc64el are
    ready.

 -- Roland Mas <lolando@debian.org>  Wed, 18 Jan 2023 17:45:41 +0100

dials (3.12.1+dfsg3-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Fri, 16 Dec 2022 12:37:26 +0100

dials (3.12.1+dfsg3-1) unstable; urgency=medium

  * Remove bundled files from source package.
  * Use system mathjax, bootstrap, jquery, katex.

 -- Roland Mas <lolando@debian.org>  Tue, 13 Dec 2022 15:41:59 +0100

dials (3.12.1+dfsg1-2) unstable; urgency=medium

  * Disable generation of dials-doc package until xia2 is packaged.

 -- Roland Mas <lolando@debian.org>  Tue, 13 Dec 2022 14:17:49 +0100

dials (3.12.1+dfsg1-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Initial release.

  [ Roland Mas ]
  * Disable building of docs until xia2 is packaged.

 -- Roland Mas <lolando@debian.org>  Tue, 13 Dec 2022 11:29:34 +0100

=== debian/control ===
Source: dials
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Roland Mas <lolando@debian.org>
Section: science
Priority: optional
Build-Depends: cmake (>= 3.24.3-1~),
               debhelper-compat (= 12),
               dh-python,
               libboost-thread-dev,
               libcctbx-dev (>= 2022.9+ds2+~3.11.2+ds1-3~),
               libmsgpack-dev,
               patchelf,
               python3-all-dev,
	       python3-biopython,
               python3-cctbx (>= 2022.9+ds2+~3.11.2+ds1-3~),
               python3-dials-data <!nocheck>,
               python3-jinja2,
               python3-orderedset,
               python3-pandas,
               python3-psutil,
               python3-pyfai,
               python3-setuptools,
               python3-sklearn,
               python3-tabulate,
               scons,
               tcsh | csh | c-shell
# Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
#                      python3-sphinx <!nodoc>,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/dials
Vcs-Git: https://salsa.debian.org/science-team/dials.git
Homepage: https://github.com/dials/dials

Package: dials
Architecture: amd64
Depends: python3-dials, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Diffraction Integration for Advanced Light Sources
 The DIALS software is developed in a fully open-source, collaborative
 environment. The main development teams are based at Diamond Light
 Source and CCP4, in the UK, and at Lawrence Berkeley National
 Laboratory, USA. However, in the spirit of the open source movement,
 we welcome collaboration from anyone who wishes to contribute to the
 project.
 .
 To avoid “reinventing the wheel” as much as possible, the DIALS
 project builds on knowledge accumulated over many decades in the
 field of crystallographic data processing. We benefit greatly from
 the altruism of experts who contribute their ideas and advice, either
 directly or via their detailed publications on existing algorithms
 and packages such as XDS [2] and MOSFLM [3]. At the heart of the
 DIALS framework lies a design philosophy of hardware abstraction and
 a generalised model of the experiment that is inspired directly by
 material published on the seminal workshops on position sensitive
 detector software [1]. Continuing in the spirit of these workshops we
 held our own series of meetings, with talks from invited speakers,
 and code camps in which specific problems are addressed by intensive
 effort across the collaboration. Summaries of these meetings and
 copies of slides given as presentations are available here.
 .
 DIALS is written using Python and C++, making heavy use of the cctbx
 [4] for core crystallographic calculations and much infrastructure
 including a complete build system. Seamless interaction between the
 C++ and Python components of this hybrid system is enabled by
 Boost.Python. Python provides a useful ground for rapid prototyping,
 after which core algorithms and data structures may be transferred
 over to C++ for speed. High level interfaces of the hybrid system
 remain in Python, facilitating further development and code reuse
 both within DIALS and by third parties.

Package: python3-dials
Architecture: amd64
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
	 libjs-bootstrap,
	 libjs-jquery,
	 libjs-katex,
	 libjs-mathjax,
	 python3-plotly,
Description: Diffraction Integration for Advanced Light Sources - Python3
 The DIALS software is developed in a fully open-source, collaborative
 environment. The main development teams are based at Diamond Light
 Source and CCP4, in the UK, and at Lawrence Berkeley National
 Laboratory, USA. However, in the spirit of the open source movement,
 we welcome collaboration from anyone who wishes to contribute to the
 project.
 .
 To avoid “reinventing the wheel” as much as possible, the DIALS
 project builds on knowledge accumulated over many decades in the
 field of crystallographic data processing. We benefit greatly from
 the altruism of experts who contribute their ideas and advice, either
 directly or via their detailed publications on existing algorithms
 and packages such as XDS [2] and MOSFLM [3]. At the heart of the
 DIALS framework lies a design philosophy of hardware abstraction and
 a generalised model of the experiment that is inspired directly by
 material published on the seminal workshops on position sensitive
 detector software [1]. Continuing in the spirit of these workshops we
 held our own series of meetings, with talks from invited speakers,
 and code camps in which specific problems are addressed by intensive
 effort across the collaboration. Summaries of these meetings and
 copies of slides given as presentations are available here.
 .
 DIALS is written using Python and C++, making heavy use of the cctbx
 [4] for core crystallographic calculations and much infrastructure
 including a complete build system. Seamless interaction between the
 C++ and Python components of this hybrid system is enabled by
 Boost.Python. Python provides a useful ground for rapid prototyping,
 after which core algorithms and data structures may be transferred
 over to C++ for speed. High level interfaces of the hybrid system
 remain in Python, facilitating further development and code reuse
 both within DIALS and by third parties.
 .
 This is the Python 3 version of the package.

# Package: dials-doc
# Architecture: all
# Section: doc
# Depends: ${misc:Depends}
# Description: Diffraction Integration for Advanced Light Sources - documentation
#  The DIALS software is developed in a fully open-source, collaborative
#  environment. The main development teams are based at Diamond Light
#  Source and CCP4, in the UK, and at Lawrence Berkeley National
#  Laboratory, USA. However, in the spirit of the open source movement,
#  we welcome collaboration from anyone who wishes to contribute to the
#  project.
#  .
#  To avoid “reinventing the wheel” as much as possible, the DIALS
#  project builds on knowledge accumulated over many decades in the
#  field of crystallographic data processing. We benefit greatly from
#  the altruism of experts who contribute their ideas and advice, either
#  directly or via their detailed publications on existing algorithms
#  and packages such as XDS [2] and MOSFLM [3]. At the heart of the
#  DIALS framework lies a design philosophy of hardware abstraction and
#  a generalised model of the experiment that is inspired directly by
#  material published on the seminal workshops on position sensitive
#  detector software [1]. Continuing in the spirit of these workshops we
#  held our own series of meetings, with talks from invited speakers,
#  and code camps in which specific problems are addressed by intensive
#  effort across the collaboration. Summaries of these meetings and
#  copies of slides given as presentations are available here.
#  .
#  DIALS is written using Python and C++, making heavy use of the cctbx
#  [4] for core crystallographic calculations and much infrastructure
#  including a complete build system. Seamless interaction between the
#  C++ and Python components of this hybrid system is enabled by
#  Boost.Python. Python provides a useful ground for rapid prototyping,
#  after which core algorithms and data structures may be transferred
#  over to C++ for speed. High level interfaces of the hybrid system
#  remain in Python, facilitating further development and code reuse
#  both within DIALS and by third parties.
#  .
#  This is the common documentation package.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=dials
export PYBUILD_SYSTEM=distutils
export PYBUILD_AFTER_CONFIGURE=cmake -DPython_EXECUTABLE=/usr/bin/{interpreter} -S . -B {build_dir}/lib
export PYBUILD_AFTER_BUILD=make -j $(shell nproc) -C {build_dir}/lib && cp {build_dir}/lib/lib/*.so {build_dir} && rm -rf {build_dir}/lib
export PYBUILD_DISABLE=test


# get the default python3 interpreter version
PY3VER=$(shell py3versions -dv)
PYPATH=debian/python3-dials/usr/lib/python$(PY3VER)/dist-packages

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_sphinxdoc:
# ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
# 	dh_auto_build -- -s custom -p $(PY3VER) --build-args="env PYTHONPATH=$(PYPATH) {interpreter} -m sphinx -N -bhtml doc/sphinx build/html"
# 	dh_installdocs -p binoculars-doc "build/html"
# 	dh_sphinxdoc -O--buildsystem=pybuild
# endif

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r tests conftest.py "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing dials with $py:"
 ; DIALS_DATA="$AUTOPKGTEST_TMP" $py -m pytest --verbosity=2
 ; done
Depends: dials, python3-all, python3-dials-data, python3-pytest, python3-pytest-mock, python3-pytest-xdist
Restrictions: allow-stderr

## dials 3.17.0+dfsg3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,13 @@
 project(dials)
 
 # Add the included modules
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")
 
 # General cmake environment configuration
 include(SetDefaultBuildRelWithDebInfo) # Default builds to release with debug info
 include(CoverageBuildConfiguration) # Custom module to make turning coverage on easy
 include(AlwaysColourCompilation) # Always show coloured compiler output
+include(CheckCXXSymbolExists)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON) # Generate compile_commands.json
 set(CMAKE_CXX_STANDARD 14)
@@ -16,8 +17,14 @@
 find_package(Python REQUIRED COMPONENTS Interpreter Development)
 find_package(CCTBX COMPONENTS cctbx scitbx ccp4io annlib REQUIRED)
 find_package(DXTBX REQUIRED)
-find_package(msgpack REQUIRED)
 find_package(OpenMP)
+# Handle msgpack.. between versions 3 and 6, split into separate packages.
+# While we still support both, look for both names
+find_package(msgpack-cxx REQUIRED NAMES msgpack-cxx msgpack)
+if (TARGET msgpackc AND NOT TARGET msgpack-cxx)
+    # If the old version of the library, let us refer to the new name
+    add_library(msgpack-cxx ALIAS msgpackc)
+endif()
 
 # Find the boost::python library for this version of python
 set(Boost_USE_STATIC_LIBS OFF) # This is the default everywhere except Windows
@@ -26,8 +33,7 @@
 # Create Boost::python alias so we don't need to carry the python version around
 if(NOT TARGET Boost::python)
     add_library(Boost::python INTERFACE IMPORTED)
-    set_target_properties(Boost::python PROPERTIES
-        INTERFACE_LINK_LIBRARIES  "python${Python_VERSION_MAJOR}${Python_VERSION_MINOR}" )
+    set_target_properties(Boost::python PROPERTIES INTERFACE_LINK_LIBRARIES Python::Module)
 endif()
 
 # Put the libraries into lib/ so that we can run this in-place in a TBX install

=== src/dials/algorithms/image/CMakeLists.txt ===
add_subdirectory(centroid)
add_subdirectory(connected_components)
add_subdirectory(fill_holes)
add_subdirectory(filter)
add_subdirectory(threshold)

=== src/dials/model/serialize/CMakeLists.txt ===
Python_add_library( dials_model_serialize_ext MODULE boost_python/serialize_ext.cc )
target_link_libraries( dials_model_serialize_ext CCTBX::cctbx Boost::python )

=== debian/changelog ===
dials (3.17.0+dfsg3-3build3) noble; urgency=medium

  * No-change rebuild against libccp4c0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2024 15:32:10 +0000

dials (3.17.0+dfsg3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:42:45 +1100

dials (3.17.0+dfsg3-3build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:16:04 +0100

dials (3.17.0+dfsg3-3) unstable; urgency=medium

  * Fix msgpack linking

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 02 Feb 2024 16:43:21 +0100

dials (3.17.0+dfsg3-2) unstable; urgency=medium

  * Team upload.
  * Use libmsgpack-cxx-dev instead of libmsgpack-dev (Closes: #1061626)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 02 Feb 2024 11:49:28 +0100

dials (3.17.0+dfsg3-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.16.1+dfsg3

  [ Andrius Merkys ]
  * Fix location of system-installed dxtbx (Closes: #1059175)

  [ Picca Frédéric-Emmanuel ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.
  * d/control: Added B-D pybuild-plugin-pyproject
  * Bug fix: "dials autopkg tests fail with Python 3.12", thanks to
    Matthias Klose (Closes: #1056241).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 10 Jan 2024 14:15:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: dials
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Roland Mas <lolando@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
+           Roland Mas <lolando@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake (>= 3.24.3-1~),
-               debhelper-compat (= 12),
-               dh-python,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
                libboost-thread-dev,
-               libcctbx-dev (>= 2022.9+ds2+~3.11.2+ds1-3~),
-               libmsgpack-dev,
+               libcctbx-dev,
+               libmsgpack-cxx-dev,
                patchelf,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-	       python3-biopython,
-               python3-cctbx (>= 2022.9+ds2+~3.11.2+ds1-3~),
+               python3-biopython,
+               python3-cctbx,
                python3-dials-data <!nocheck>,
                python3-jinja2,
                python3-orderedset,
@@ -26,14 +29,18 @@
                tcsh | csh | c-shell
 # Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
 #                      python3-sphinx <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/dials
 Vcs-Git: https://salsa.debian.org/science-team/dials.git
 Homepage: https://github.com/dials/dials
+Rules-Requires-Root: no
 
 Package: dials
 Architecture: amd64
-Depends: python3-dials, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-dials,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Diffraction Integration for Advanced Light Sources
  The DIALS software is developed in a fully open-source, collaborative
  environment. The main development teams are based at Diamond Light
@@ -72,11 +79,11 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-	 libjs-bootstrap,
-	 libjs-jquery,
-	 libjs-katex,
-	 libjs-mathjax,
-	 python3-plotly,
+         libjs-bootstrap,
+         libjs-jquery,
+         libjs-katex,
+         libjs-mathjax,
+         python3-plotly
 Description: Diffraction Integration for Advanced Light Sources - Python3
  The DIALS software is developed in a fully open-source, collaborative
  environment. The main development teams are based at Diamond Light
@@ -111,42 +118,3 @@
  both within DIALS and by third parties.
  .
  This is the Python 3 version of the package.
-
-# Package: dials-doc
-# Architecture: all
-# Section: doc
-# Depends: ${misc:Depends}
-# Description: Diffraction Integration for Advanced Light Sources - documentation
-#  The DIALS software is developed in a fully open-source, collaborative
-#  environment. The main development teams are based at Diamond Light
-#  Source and CCP4, in the UK, and at Lawrence Berkeley National
-#  Laboratory, USA. However, in the spirit of the open source movement,
-#  we welcome collaboration from anyone who wishes to contribute to the
-#  project.
-#  .
-#  To avoid “reinventing the wheel” as much as possible, the DIALS
-#  project builds on knowledge accumulated over many decades in the
-#  field of crystallographic data processing. We benefit greatly from
-#  the altruism of experts who contribute their ideas and advice, either
-#  directly or via their detailed publications on existing algorithms
-#  and packages such as XDS [2] and MOSFLM [3]. At the heart of the
-#  DIALS framework lies a design philosophy of hardware abstraction and
-#  a generalised model of the experiment that is inspired directly by
-#  material published on the seminal workshops on position sensitive
-#  detector software [1]. Continuing in the spirit of these workshops we
-#  held our own series of meetings, with talks from invited speakers,
-#  and code camps in which specific problems are addressed by intensive
-#  effort across the collaboration. Summaries of these meetings and
-#  copies of slides given as presentations are available here.
-#  .
-#  DIALS is written using Python and C++, making heavy use of the cctbx
-#  [4] for core crystallographic calculations and much infrastructure
-#  including a complete build system. Seamless interaction between the
-#  C++ and Python components of this hybrid system is enabled by
-#  Boost.Python. Python provides a useful ground for rapid prototyping,
-#  after which core algorithms and data structures may be transferred
-#  over to C++ for speed. High level interfaces of the hybrid system
-#  remain in Python, facilitating further development and code reuse
-#  both within DIALS and by third parties.
-#  .
-#  This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 PYPATH=debian/python3-dials/usr/lib/python$(PY3VER)/dist-packages
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 # ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
